Chatbot Flows
AI build/edit flow
Generate or edit the flow graph from a natural-language instruction.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
chatbot_flows
/
{id}
/
ai_builder
AI build/edit flow
curl --request POST \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/chatbot_flows/{id}/ai_builder \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"instruction": "<string>",
"target_channels": "<array>",
"flow_data": {}
}
'import requests
url = "https://connect.voxys.ai/api/v1/accounts/{account_id}/chatbot_flows/{id}/ai_builder"
payload = {
"instruction": "<string>",
"target_channels": "<array>",
"flow_data": {}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({instruction: '<string>', target_channels: '<array>', flow_data: {}})
};
fetch('https://connect.voxys.ai/api/v1/accounts/{account_id}/chatbot_flows/{id}/ai_builder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Authorizations
All API requests must include the api_access_token header with a valid agent or administrator token.
Path Parameters
Numeric ID of the account
Numeric ID of the resource
Body
application/json
Response
Successful response
⌘I
AI build/edit flow

